Create Setup Intent
curl --request POST \
--url https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods/setup-intent \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods/setup-intent"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.plugchoice.com/api/v3/teams/{team}/billing/payment-methods/setup-intent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"client_secret": "<string>",
"billing_defaults": {
"name": "<string>",
"email": "<string>",
"address": {
"country": "<string>",
"line1": "<string>",
"postal_code": "<string>",
"city": "<string>"
}
}
}Payment Methods
Create Setup Intent
POST
/
v3
/
teams
/
{team}
/
billing
/
payment-methods
/
setup-intent
Create Setup Intent
Creates a Stripe Setup Intent for adding a new payment method. Returns a client secret for use with Stripe.js. Requires a verified email and is rate limited to 30 requests per minute.
The UUID of the team.
Response
The Stripe Setup Intent client secret for use with Stripe.js.
Default billing information to pre-fill in the payment form.
Show billing_defaults properties
Show billing_defaults properties
The company name, or
null if not set.The billing email address, or
null if not set.⌘I